summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--ham/SDRPlay/README1
-rw-r--r--ham/SDRPlay/SDRPlay.SlackBuild87
-rw-r--r--ham/SDRPlay/SDRPlay.info10
-rw-r--r--ham/SDRPlay/slack-desc19
4 files changed, 117 insertions, 0 deletions
diff --git a/ham/SDRPlay/README b/ham/SDRPlay/README
new file mode 100644
index 0000000000..188583466f
--- /dev/null
+++ b/ham/SDRPlay/README
@@ -0,0 +1 @@
+Proprietary driver for the SDR Play software defined radio (SDR)
diff --git a/ham/SDRPlay/SDRPlay.SlackBuild b/ham/SDRPlay/SDRPlay.SlackBuild
new file mode 100644
index 0000000000..e6fe2e9437
--- /dev/null
+++ b/ham/SDRPlay/SDRPlay.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for SDRPlay
+
+# Copyright 2017 Alan Aversa USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=SDRPlay
+VERSION=${VERSION:-2.10.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+case "${ARCH:-$( uname -m )}" in
+ i?86) ARCH=i686
+ LIBDIRSUFFIX=""
+ ;;
+ x86_64*) ARCH=x86_64
+ LIBDIRSUFFIX="64"
+ ;;
+ *) echo "$ARCH is not supported."
+ exit 1
+ ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+sh $CWD/SDRplay_RSP_API-Linux-$VERSION.run --tar xvf
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+VERS="2.10"
+
+mkdir -p $PKG/usr/lib$LIBDIRSUFFIX
+install -m644 ${ARCH}/libmirsdrapi-rsp.so.${VERS} $PKG/usr/lib$LIBDIRSUFFIX
+ln -s libmirsdrapi-rsp.so.${VERS} $PKG/usr/lib$LIBDIRSUFFIX/libmirsdrapi-rsp.so.2
+ln -s libmirsdrapi-rsp.so.2 $PKG/usr/lib$LIBDIRSUFFIX/libmirsdrapi-rsp.so
+
+mkdir -p $PKG/usr/include
+install -m644 mirsdrapi-rsp.h $PKG/usr/include
+
+mkdir -p $PKG/etc/udev/rules.d/
+install -m644 66-mirics.rules $PKG/etc/udev/rules.d/66-mirics.rules
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a sdrplay_license.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/ham/SDRPlay/SDRPlay.info b/ham/SDRPlay/SDRPlay.info
new file mode 100644
index 0000000000..eb2a100bc4
--- /dev/null
+++ b/ham/SDRPlay/SDRPlay.info
@@ -0,0 +1,10 @@
+PRGNAM="SDRPlay"
+VERSION="2.10.2"
+HOMEPAGE="http://www.sdrplay.com/software/"
+DOWNLOAD="http://www.sdrplay.com/software/SDRplay_RSP_API-Linux-2.10.2.run"
+MD5SUM="2b77d0ce2fbb770e9526b6f17656a716"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Alan Aversa"
+EMAIL="alan.aveNOrsaSP@AMcox.net (remove NO and SPAM)"
diff --git a/ham/SDRPlay/slack-desc b/ham/SDRPlay/slack-desc
new file mode 100644
index 0000000000..b287e2007e
--- /dev/null
+++ b/ham/SDRPlay/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+SDRPlay: SDRPlay (API/Driver for SDR Play SDR)
+SDRPlay:
+SDRPlay: Proprietary driver for the SDR Play software defined radio (SDR)
+SDRPlay:
+SDRPlay:
+SDRPlay:
+SDRPlay:
+SDRPlay:
+SDRPlay:
+SDRPlay:
+SDRPlay: